#
# Conditional build:
%bcond_without	static_libs	# static libraries
#
%define		gstapi	1.2
#
Summary:	GStreamer plugin to support Video Acceleration API
Summary(pl.UTF-8):	Wtyczka GStreamera obsługująca Video Acceleration API
Name:		gstreamer-vaapi
Version:	0.5.7
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.freedesktop.org/software/vaapi/releases/gstreamer-vaapi/%{name}-%{version}.tar.bz2
# Source0-md5:	50d4009c8c85bae55217fcc911243df8
URL:		http://www.freedesktop.org/wiki/Software/vaapi/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.66
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gstreamer-devel >= 1.2.0
BuildRequires:	gstreamer-plugins-bad-devel >= 1.2.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.2.0
BuildRequires:	gtk-doc >= 1.12
BuildRequires:	libdrm-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libva-drm-devel >= 1.1.0
BuildRequires:	libva-glx-devel >= 1.0.9
BuildRequires:	libva-wayland-devel >= 1.1.0
BuildRequires:	libva-x11-devel >= 1.0.3
BuildRequires:	pkgconfig
# libva API versions
BuildRequires:	pkgconfig(libva) >= 0.30.4
BuildRequires:	pkgconfig(libva-drm) >= 0.33.0
BuildRequires:	pkgconfig(libva-glx) >= 0.32.0
BuildRequires:	pkgconfig(libva-wayland) >= 0.33.0
BuildRequires:	pkgconfig(libva-x11) >= 0.31.0
BuildRequires:	udev-devel
BuildRequires:	wayland-devel >= 1.0.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
Requires:	glib2 >= 1:2.28.0
Requires:	gstreamer >= 1.0.0
Requires:	gstreamer-plugins-bad >= 1.0.0
Requires:	gstreamer-plugins-base >= 1.0.0
Requires:	libva >= 1.1.0
Requires:	wayland >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gstreamer-vaapi consists in a collection of VA-API based plugins for
GStreamer and helper libraries.

%description -l pl.UTF-8
gstreamer-vaapi zawiera zestaw opartych ma VA-API wtyczek dla
GStreamera i bibliotek pomocniczych.

%package devel
Summary:	Header files for GStreamer VA-API libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek VA-API GStreamera
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer-devel >= 1.2.0
Requires:	gstreamer-plugins-base-devel >= 1.2.0
Requires:	libva-drm-devel >= 1.1.0
Requires:	libva-glx-devel >= 1.0.9
Requires:	libva-wayland-devel >= 1.1.0
Requires:	libva-x11-devel >= 1.0.3

%description devel
Header files for GStreamer VA-API helper libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek pomocniczych VA-API GStreamera.

%package static
Summary:	Static GStreamer VA-API libraries
Summary(pl.UTF-8):	Statyczne biblioteki VA-API GStreamera
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GStreamer VA-API libraries.

%description static -l pl.UTF-8
Statyczne biblioteki VA-API GStreamera.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--with-gstreamer-api=%{gstapi}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# gstreamer module
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/libgst*.la
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libgstvaapi-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-%{gstapi}.so.0
%attr(755,root,root) %{_libdir}/libgstvaapi-drm-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-drm-%{gstapi}.so.0
%attr(755,root,root) %{_libdir}/libgstvaapi-glx-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-glx-%{gstapi}.so.0
%attr(755,root,root) %{_libdir}/libgstvaapi-wayland-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-wayland-%{gstapi}.so.0
%attr(755,root,root) %{_libdir}/libgstvaapi-x11-%{gstapi}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvaapi-x11-%{gstapi}.so.0
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstvaapi.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgstvaapi-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-drm-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-glx-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-wayland-%{gstapi}.so
%attr(755,root,root) %{_libdir}/libgstvaapi-x11-%{gstapi}.so
%dir %{_includedir}/gstreamer-%{gstapi}
%dir %{_includedir}/gstreamer-%{gstapi}/gst
%{_includedir}/gstreamer-%{gstapi}/gst/vaapi
%{_pkgconfigdir}/gstreamer-vaapi-%{gstapi}.pc
%{_pkgconfigdir}/gstreamer-vaapi-drm-%{gstapi}.pc
%{_pkgconfigdir}/gstreamer-vaapi-glx-%{gstapi}.pc
%{_pkgconfigdir}/gstreamer-vaapi-wayland-%{gstapi}.pc
%{_pkgconfigdir}/gstreamer-vaapi-x11-%{gstapi}.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgstvaapi-%{gstapi}.a
%{_libdir}/libgstvaapi-drm-%{gstapi}.a
%{_libdir}/libgstvaapi-glx-%{gstapi}.a
%{_libdir}/libgstvaapi-wayland-%{gstapi}.a
%{_libdir}/libgstvaapi-x11-%{gstapi}.a
%endif
%changelog
* Mon Dec 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-vaapi.git;a=log;h=master

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> f465fd4
- updated to 0.5.7
- removed obsolete git patch

* Sat Sep 28 2013 Artur Frysiak <artur@frysiak.net> f29a028
- Added patch for gstreamer 1.2 (note: new sonames), release 2

* Tue Sep 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 0727110
- updated to 0.5.6

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> f972178
- updated to 0.5.5.1 (note: new sonames)

* Fri Jun 28 2013 Jakub Bogusz <qboosh@pld-linux.org> db5f0d5
- updated to 0.5.4 (note: new sonames)

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> ee34230
- updated to 0.5.3, now supports gstreamer 1.0 API

* Sun Mar 31 2013 Jakub Bogusz <qboosh@pld-linux.org> f9adce0
- up to 0.5.2; gstreamer 1.0 not supported yet

* Sun Feb 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 11dd6f5
- new spec, needs to wait for upstream updates for gstreamer 1.0

